{
  "meta": {
    "id": "questionnaire_1_demographic_information"
  },
  "questions": [
    {
      "id": "q1",
      "layout": "radio_question",
      "question": "consent_instruction",
      "options": [
        { "key": "consent_signed",
          "nextQuestionId": "q6"},
        { "key": "consent_not_signed",
          "nextQuestionId": "q2"}
      ],
      "pointsMap": {
        "consent_signed": 0,
        "consent_not_signed": 0
      }
    },
    {
      "id": "q2",
      "layout": "client_coach_code_question",
      "question": "no_consent_entered",
      "hint1": "client_code",
      "hint2": "coach_code"
    },
    {
      "id": "last_page",
      "layout": "last_page",
      "textKey": "finish_data_entry",
      "question": "data_final_warning"
    },
    {
      "id": "q28",
      "layout": "radio_question",
      "question": "accommodation",
      "options": [
        { "key": "steinstrasse",
          "nextQuestionId": "last_page"},
        { "key": "doerfle",
          "nextQuestionId": "last_page"},
        { "key": "zoll_emmishofer",
          "nextQuestionId": "last_page"},
        { "key": "other",
          "nextQuestionId": "q4"}
      ]
    },
    {
      "id": "q4",
      "layout": "string_spinner",
      "question": "other_accommodation",
      "options": ["Unterkunft 1", "Unterkunft 2", "Unterkunft 3"]
    },
    {
      "id": "last_page",
      "layout": "last_page",
      "textKey": "finish_data_entry",
      "question": "data_final_warning"
    },
    {
      "id": "q6",
      "layout": "client_coach_code_question",
      "question": "client_code_entry_question",
      "hint1": "client_code",
      "hint2": "coach_code"
    },
    {
      "id": "q29",
      "layout": "radio_question",
      "question": "accommodation",
      "options": [
        { "key": "steinstrasse",
          "nextQuestionId": "q9"},
        { "key": "doerfle",
          "nextQuestionId": "q9"},
        { "key": "zoll_emmishofer",
          "nextQuestionId": "q9"},
        { "key": "other",
          "nextQuestionId": "q8"}
      ],
      "pointsMap": {
        "consent_signed": 0,
        "consent_not_signed": 0
      }
    },
    {
      "id": "q8",
      "layout": "string_spinner",
      "question": "other_accommodation",
      "options": ["Unterkunft 1", "Unterkunft 2", "Unterkunft 3"]
    },
    {
      "id": "q9",
      "layout": "value_spinner",
      "question": "age",
      "range": {
        "min": 18,
        "max": 122
      }
    },
    {
      "id": "q10",
      "layout": "radio_question",
      "question": "gender",
      "options": [
        { "key": "gender_male"},
        { "key": "gender_female"},
        { "key": "gender_diverse"}
      ],
      "pointsMap": {
        "consent_signed": 0,
        "consent_not_signed": 0
      }
    },
    {
      "id": "q11",
      "layout": "string_spinner",
      "question": "country_of_origin"
    },
    {
      "id": "q13",
      "layout": "date_spinner",
      "question": "departure_country",
      "precision": "year_month"
    },
    {
      "id": "q14",
      "layout": "date_spinner",
      "question": "since_in_germany",
      "precision": "year_month",
      "constraints": {
        "notBefore": "departure_country"
      }
    },
    {
      "id": "q16",
      "layout": "radio_question",
      "question": "living_situation",
      "options": [
        { "key": "alone",
          "nextQuestionId": "q18"},
        { "key": "with_family",
          "nextQuestionId": "q17"}
      ],
      "pointsMap": {
        "consent_signed": 0,
        "consent_not_signed": 0
      }
    },
    {
      "id": "q17",
      "layout": "value_spinner",
      "question": "number_family_members",
      "range": {
        "min": 1,
        "max": 15
      }
    },
    {
      "id": "q18",
      "layout": "multi_check_box_question",
      "question": "languages_spoken",
      "options": [
        { "key": "language_albanian" },
        { "key": "language_pashto" },
        { "key": "language_russian" },
        { "key": "language_serbo" },
        { "key": "language_somali" },
        { "key": "language_tamil" },
        { "key": "language_tigrinya" },
        { "key": "language_turkish" },
        { "key": "language_ukrainian" },
        { "key": "language_urdu" },
        { "key": "language_arabic" },
        { "key": "language_dari_farsi" },
        { "key": "language_chinese" },
        { "key": "language_english" },
        { "key": "language_macedonian" },
        { "key": "language_kurmanji" },
        { "key": "language_hindi" },
        { "key": "language_french"},
        { "key": "language_other"}
      ],
      "pointsMap": {
        "language_albanian": 0,
        "language_pashto": 0,
        "language_russian": 0,
        "language_serbo": 0,
        "language_somali": 0,
        "language_tamil": 0,
        "language_tigrinya": 0,
        "language_turkish": 0,
        "language_ukrainian": 0,
        "language_urdu": 0,
        "language_arabic": 0,
        "language_dari_farsi": 0,
        "language_chinese": 0,
        "language_english": 0,
        "language_macedonian": 0,
        "language_kurmanji": 0,
        "language_hindi": 0,
        "language_french": 0,
        "language_other": 0
      },
      "minSelection": 1
    },
    {
      "id": "q19",
      "layout": "radio_question",
      "question": "german_skills",
      "options": [
        { "key": "skill_none"},
        { "key": "skill_basic"},
        { "key": "skill_a1"},
        { "key": "skill_a2"},
        { "key": "skill_b1"},
        { "key": "skill_b2"},
        { "key": "skill_c1"},
        { "key": "skill_c2"}
      ],
      "pointsMap": {
        "consent_signed": 0,
        "consent_not_signed": 0
      }
    },
    {
      "id": "q30",
      "layout": "value_spinner",
      "question": "school_years_total",
      "range": {
        "min": 0,
        "max": 15
      },
      "options": [
        { "value": 0, "nextQuestionId": "q23" }
      ]
    },

    {
      "id": "q20",
      "layout": "value_spinner",
      "question": "school_years_origin",
      "range": {
        "min": 0,
        "max": 15
      }
    },
    {
      "id": "q21",
      "layout": "value_spinner",
      "question": "school_years_transit",
      "range": {
        "min": 0,
        "max": 15
      }
    },
    {
      "id": "q22",
      "layout": "value_spinner",
      "question": "school_years_germany",
      "range": {
        "min": 0,
        "max": 15
      }
    },
    {
      "id": "q23",
      "layout": "radio_question",
      "question": "vocational_training",
      "options": [
        { "key": "answer_no"},
        { "key": "answer_started"},
        { "key": "answer_completed"}
      ],
      "pointsMap": {
        "consent_signed": 0,
        "consent_not_signed": 0
      }
    },
    {
      "id": "q24",
      "layout": "date_spinner",
      "question": "provisional_accommodation_since",
      "precision": "year_month",
      "constraints": {
        "notBefore": "since_in_germany"
      }
    },
    {
      "id": "q25",
      "layout": "date_spinner",
      "question": "asylum_procedure_since",
      "precision": "year_month",
      "constraints": {
        "notBefore": "since_in_germany"
      }
    },
    {
      "id": "last_page",
      "layout": "last_page",
      "textKey": "finish_data_entry",
      "question": "data_final_warning"
    }
  ]
}
